<template lang="pug">
mixin info(name)
  .row&attributes(attributes)
    .col-12.text-left.col-sm-3.col-lg-2
      strong= name
    .col-12.text-right.col-sm-9.col-lg-10.text-sm-left
      block

.row.x-userinfo
  .col-12.py-3.justify-content-center.d-flex(v-if='!loading && $butils.isNil(user)' key='noSuch')
    span.alert.alert-secondary Unknown User
  .col-12(v-if='user' key='data')
    BaseCard
      template(v-slot:header='')
        BaseAnimationBlock
          .justify-content-center.d-flex(v-if='loading' key='loading')
            h1 #[i.align-bottom.fa.fa-spinner.fa-pulse]
          .d-flex.justify-content-between.align-items-center(v-else key='title')
            h5 {{ user.firstName }} {{ user.lastName }} #[span.text-muted {{ "#" + user.id }}]
            router-link.text-dark.text-muted.clickable.ml-1(:to='getRoute("/users")')
              .fa.fa-caret-up
            .ml-auto.clickable(@click='setEdit(true)' v-if='canEdit && !inEdit')
              kbd.keyHint.mr-2(v-if="showKeyHints") E
              i.fa.fa-cog
            .ml-auto.clickable(@click='setEdit(false)' v-if='canEdit && inEdit')
              kbd.keyHint.mr-2(v-if="showKeyHints") Esc
              i.fa.fa-times
      li(v-if='!loading && !inEdit' key='info')
        +info('Id') {{ user.id }}
        +info('Login') {{ user.login }}
        +info('Name') {{ user.firstName }} {{ user.lastName }}
        +info('EMail') #[a.text-primary(:href='`mailto:${user.email}`') {{ user.email }}]
        +info('Status')
          .fa.fa-check(v-if='user.status')
          .fa.fa-times(v-else)
        +info("{{ `Institute for ${operYear}` }}")
          span.text-muted(v-if='!institute') not set
          span(v-else)
            InstituteLink(:id='institute.id' :institute='institute')
      li(v-if='!loading && inEdit' key='edit')
        .row.b-param-container
          BaseParamInput.col-12.col-xl-6(ref='firstName' title='First Name' :inEdit='true' :value='user.firstName')
          BaseParamInput.col-12.col-xl-6(ref='lastName' title='Last Name' :inEdit='true' :value='user.lastName')
          BaseParamInput.col-12.col-xl-6(ref='email' title='EMail' :inEdit='true' :value='user.email')
          BaseParamToggle.col-12.col-xl-6(v-if='isAdmin' ref='status' title='Status' :inEdit='true' :value='!!user.status')
          BaseParamList.col-12.col-xl-6(ref="institute" :title="`Institute for ${operYear}`" :inEdit='true' :value='institute ? institute.id : ""')
            template(v-slot:options='')
              option(value='') not set
              option(v-if='i.status > 0 || i.alias === "__nTOF"' v-for='i in institutesOptions' :value='i.id') {{ i.alias }} - {{ i.name }}
      li.x-desc(v-if='!loading' key='desc')
        strong User Involvments: #[span.text-muted(v-if='!user.involvments && !inEdit') none]
        BaseMarkdownWidget(ref='involvments' :inEdit='inEdit' :value='user.involvments || ""')
      li.x-associations(v-if='!loading' key='assoc')
        InstitutesList(:user='user')
      li.x-shifts(v-if='!loading' key='shifts')
        ShiftsList(:association='association')
      li(v-if='!loading && inEdit' key='submit')
        .d-flex.justify-content-end
          router-link.btn.btn-outline-danger.ml-1.x-admin(v-if='!isAdmin && $store.getters.canAdmin' :to='"/admin" + $route.fullPath' title='admin')
            i.fa.fa-key
          button.btn.btn-primary.mx-1.x-submit(@click="doSubmit()")
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            i.fa.fa-upload.mr-1(v-else)
            | Submit
</template>
<script>

export { default } from './UserInfo.vue.js';

</script>
